{
    attributes = (
        {
            columnName = FANN_KEY; 
            externalType = NUMBER; 
            name = fannKey; 
            precision = 4; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FHAB_NIVEAU; 
            externalType = NUMBER; 
            name = fhabNiveau; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FSPN_KEY; 
            externalType = NUMBER; 
            name = fspnKey; 
            precision = 12; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = RETURN_VALUE; 
            externalType = LONG; 
            name = returnValue; 
            valueClassName = NSString; 
        }
    ); 
    attributesUsedForLocking = (fannKey, fhabNiveau, fspnKey); 
    className = EOGenericRecord; 
    classProperties = (returnValue, fannKey, fhabNiveau, fspnKey); 
    externalName = V_SCOL_PRINT_SUPPLEMENT_2_1; 
    fetchSpecificationDictionary = {}; 
    name = VScolPrintSupplement21; 
    primaryKeyAttributes = (fannKey, fhabNiveau, fspnKey); 
}
